<?php
/* najprv nasleduje popis funkcii, potom include podla typu databazy

function univ_connect($server, $user, $heslo, $db)
pripojenie k db
parametre:
server, user, heslo, db
navrat FALSE, inak identif. pripoj.

function univ_query($link, $query)
query
parametre:
spojenie, SQL retazec
navrat FALSE, inak identif. query

function univ_free_query_result($q_res)
uvolni vysledok posl. query
param.: vysledok query

function univ_fetch_array($q_result)
vrati riadok posl. query
param:
vysledok query
navrat : asociativne aj ocislovane pole so stlpcami, inak FALSE

function univ_close($link)
ukoncenie pripojenia
param: indentif. pripoj.
navrat true/false

function univ_num_rows($result)
vrati pocet riadkov vo vysledku SELECT-u

function univ_affected_rows($link)
vrati pocet r. ovplyvnenych posl. operaciou

*/
?>
<?php include "mysql_univ_db.php"; ?>
<?php include "conn_params.php"; ?>
<?php

//funkcia vrati max. hodnotu stlpca id v tabulke tab.
function GetMaxID($DBLink, $table)
	{
	$que="select max(id) from ".$table.";";
	if (($qr=univ_query($DBLink,$que)))
		{
		$res=univ_fetch_array($qr);
		univ_free_query_result($qr);
		return $res[0];
		}
	return -1;
	}

//pripoji riadok do tabulky, doda cas, sessid
function LineToLog($logfile, $line)
	{
	global $mysql_glob_link;

	if (!isset($mysql_glob_link))
		$link=univ_connect(DB_SERVER,DB_USER,DB_PASSWORD,DB_NAME);
	else
		$link=$mysql_glob_link;

	if ($link!==FALSE)
		{
		//echo $fl;
		$dt=date("Y-m-d");
		$tm=date("H:i:s");
		$table="log_".str_replace(array(".","/","\\","'","\""),"_",$logfile);
		$que="insert into ".$table." values ('".$dt."', '".$tm."', '".session_id()."', '".$_SERVER["REMOTE_ADDR"]."', '".GetHostByAddr($_SERVER["REMOTE_ADDR"])."',".(isset($_SESSION["user_data"]["id"])?$_SESSION["user_data"]["id"]:"NULL").", '".$_SESSION["privileges"]."', '".$line."');";
		$qres=univ_query($link,$que);
		if (!isset($mysql_glob_link))
			univ_close($link);
		}
	}
?>
